# Ogre::AtomicScalar< T > Class Template Reference
General

`#include <OgreAtomicWrappers.h>`

List of all members.

## Public Member Functions

| AtomicScalar (const T &initial)
| AtomicScalar (const AtomicScalar< T > &cousin)
| AtomicScalar ()
void | operator= (const AtomicScalar< T > &cousin)
T | get (void) const
void | set (const T &v)
bool | cas (const T &old, const T &nu)
T | operator++ (void)
T | operator-- (void)
T | operator++ (int)
T | operator-- (int)

## Protected Attributes

OGRE_AUTO_MUTEX volatile T | mField

## Detailed Description

### template<class T>
class Ogre::AtomicScalar< T >

Definition at line 326 of file OgreAtomicWrappers.h.

## Constructor & Destructor Documentation

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( | const T & | initial | ) |

Definition at line 330 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( | const AtomicScalar< T > & | cousin | ) |

Definition at line 334 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicScalar< T >::AtomicScalar | ( |  | ) |

Definition at line 338 of file OgreAtomicWrappers.h.

## Member Function Documentation

template<class T>

bool Ogre::AtomicScalar< T >::cas | ( | const T & | old,
|  | const T & | nu
| ) |  |

Definition at line 361 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::get | ( | void |  | ) | const

Definition at line 347 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator++ | ( | void |  | ) |

Definition at line 369 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator++ | ( | int |  | ) |

Definition at line 381 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator-- | ( | void |  | ) |

Definition at line 375 of file OgreAtomicWrappers.h.

template<class T>

T Ogre::AtomicScalar< T >::operator-- | ( | int |  | ) |

Definition at line 387 of file OgreAtomicWrappers.h.

template<class T>

void Ogre::AtomicScalar< T >::operator= | ( | const AtomicScalar< T > & | cousin | ) |

Definition at line 341 of file OgreAtomicWrappers.h.

template<class T>

void Ogre::AtomicScalar< T >::set | ( | const T & | v | ) |

Definition at line 355 of file OgreAtomicWrappers.h.

## Member Data Documentation

template<class T>

OGRE_AUTO_MUTEX volatile T Ogre::AtomicScalar< T >::mField`[protected]`

Definition at line 397 of file OgreAtomicWrappers.h.

Referenced by Ogre::AtomicScalar< LoadingState >::get(), Ogre::AtomicScalar< LoadingState >::operator++(), and Ogre::AtomicScalar< LoadingState >::operator--().

The documentation for this class was generated from the following file:

- OgreAtomicWrappers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:10